# Obligations

This object represents information on the borrower's obligation for a given loan period. It also provides information
on the current status of the fulfillment of the obligation vis-à-vis the amount due and the due date. The obligation
is dynamically changing as a result of factors such as payments and service credits made, and the crossing over of due dates.


## Get draw obligations

 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/obligations](https://docs.peachfinance.com/api-docs/api-public/obligations/peach.obligations.handlers.draw_obligations_get_all.md)

## Get draw obligation by ID

 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/obligations/{obligationId}](https://docs.peachfinance.com/api-docs/api-public/obligations/peach.obligations.handlers.draw_obligation_get_by_id.md)

## Get loan obligations

 - [GET /people/{personId}/loans/{loanId}/obligations](https://docs.peachfinance.com/api-docs/api-public/obligations/peach.obligations.handlers.obligations_get_all.md)

## Get loan obligation by ID

 - [GET /people/{personId}/loans/{loanId}/obligations/{obligationId}](https://docs.peachfinance.com/api-docs/api-public/obligations/peach.obligations.handlers.obligation_get_by_id.md)

